跳转到内容

GPT Image 2.5 Edit

集成

模型 id openai/gpt-image-2.5/flare/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.12 120 API 积分 在此页面运行

获取 API 密钥
OpenAI 图像编辑 #editing#mask#transparent

使用 OpenAI 的图像模型编辑或合成最多 16 张参考图像,并可选支持蒙版和透明度。

在 Doitong 上制作

Doitong 社区使用 GPT Image 2.5 制作的公开作品。一键复用提示词。

显示的公开作品数:16
A polished studio concept art board — a single composite page that reads as a high-end pre-produc...

A polished studio concept art board — a single composite page that reads as a high-end pre-production pitch deck for an animated short. NOT a vintage pencil sketch, NOT a finished movie frame, but a polished concept page in the visual treatment described below. Layout: TOP HEADER (left): bold...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается свое...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается своей самой широкой и дружелюбной улыбкой, глядя в камеру. Она делает призывающий жест руками, словно приглашая к общению. Перед ней на столе по-прежнему лежат аппетитные булочки. Освещение становится...

Grungy analog photo of Daphne Blake (from Serial scooby doo) watching her own movie on a 90s CRT ...

Grungy analog photo of Daphne Blake (from Serial scooby doo) watching her own movie on a 90s CRT TV in a dimly lit bedroom. The TV clearly shows animated scene from scooby doo, with a cartoon-style Daphne in her classic clothes on screen, smiling. Daphne Blake is sitting cross-legged on the floor...

Fotografia realistica scattata dall’interno di un appartamento situato a un piano abbastanza alto...

Fotografia realistica scattata dall’interno di un appartamento situato a un piano abbastanza alto, guardando verso il basso attraverso una finestra aperta su una normale strada cittadina. In strada, una folla numerosa di manifestanti avanza compatta; alcune persone indossano passamontagna. Sul...

Art style: Disney-inspired. Золушка walking further back in the frame; Косметолог standing in the...

Art style: Disney-inspired. Золушка walking further back in the frame; Косметолог standing in the near foreground. The couch and strip of reflective floor separate them. Золушка is walking on glossy floor near the open doorway further back in the frame in the midground. Torso in three-quarter...

Art style: Реалистичный кулинарный блог. Экстремально крупный план рук ведущей, разламывающих гот...

Art style: Реалистичный кулинарный блог. Экстремально крупный план рук ведущей, разламывающих готовую, горячую булочку. Булочка имеет аппетитную золотисто-коричневую корочку, густо посыпанную поджаренным кунжутом. В месте разлома видна пористая, воздушная и очень мягкая текстура мякиша...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается свое...

Art style: Реалистичный кулинарный блог. Финальный кадр, средний план ведущей. Она улыбается своей самой широкой и дружелюбной улыбкой, глядя в камеру. Она делает призывающий жест руками, словно приглашая к общению. Перед ней на столе по-прежнему лежат аппетитные булочки. Освещение становится...

Square album cover for an energetic house dance single. A dancing crowd silhouette in a night clu...

Square album cover for an energetic house dance single. A dancing crowd silhouette in a night club under warm orange and golden stage lights, flying sparks and flames rising from the dance floor, misty Scottish highland mountains faintly visible in the glowing background. Bold modern clean...

构建请求

控件根据模型架构生成。修改控件时,代码和价格会同步更新。

•必填 55 / 32000

用于生成图像的提示词。

•必填 image_urls
拖放文件,或 · 最多 16 个

用于生成的参考图像 URL,最多 16 张图像。

image_size 默认 auto

输出尺寸;设为 'auto' 时,根据所提供的图像推断。

quality

图像质量选择,'auto' 表示由模型决定。更高设置会增加细节,同时带来更长的延迟和更高的 Token 用量。

num_images 默认 1

要生成的图像数量。

高级 mask · background · output_format · output_compression
mask_url
拖放文件,或

用于标识生成期间待编辑区域的蒙版图像 URL。

background 默认 auto

生成图像的背景。

output_format 默认 png

输出图像的文件格式。

仅当 output_format 为 'jpeg' 或 'webp' 时可用的压缩设置;允许范围为 0–100。

POST /run/openai/gpt-image-2.5/flare/edit?wait=20 报价 → $0.12
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 GPT Image 2.5 Edit

GPT Image 2.5 的编辑模式:描述更改内容并传入最多 16 张参考图像,可选使用限制模型绘制区域的 蒙版。支持透明背景、五种质量级别,以及每次请求最多十个结果。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
≤ 32,000 个字符
用于生成图像的提示词。
image_urls必填 images
类型url[] · image
≤ 16 个项目
用于生成的参考图像 URL,最多 16 张图像。
mask_url可选 mask
类型url · image
用于标识生成期间待编辑区域的蒙版图像 URL。
image_size可选
类型object
默认值auto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
输出尺寸;设为 'auto' 时,根据所提供的图像推断。
background可选
类型enum
默认值auto
autotransparentopaque
生成图像的背景。
quality可选
类型enum
默认值high
autolowmediumhighxhighmax
图像质量选择,'auto' 表示由模型决定。更高设置会增加细节,同时带来更长的延迟和更高的 Token 用量。
num_images可选 num_outputs
类型integer
默认值1
1 – 10
要生成的图像数量。
output_format可选
类型enum
默认值png
jpegpngwebp
输出图像的文件格式。
output_compression可选
类型integer | null
0 – 100
仅当 output_format 为 'jpeg' 或 'webp' 时可用的压缩设置;允许范围为 0–100。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2.5/flare/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 120,
    "usd": "0.12",
    "charged": 120,
    "refunded": 0
  },
  "input": {
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
文件由你选择每个 outputs[].url 都是我们存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
所有模型的结构一致图像、视频和音频的字段均为 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, content_type, file_name, file_size, width, height}模型生成的图像。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh-CN/developers/models/openai/gpt-image-2.5/flare/edit.md. 所有模型和指南: https://doitong.com/developers/llms.txt